#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <iomanip>
using namespace std;


bool upo(int x,int y)
{
    if(-x<-y)
        return true;
    return false;
}
int main()
{

    ios_base::sync_with_stdio(false);cin.tie(0);

    int k,n;
    cin >> k;
    for(int m=0;m<k;m++)
    {
        cin >> n;
        vector<int>l1(n);
        for(int i=0;i<n;i++)
        {
            cin >> l1[i];
        }
        vector<int>l2(n);
        for(int j=0;j<n;j++)
        {
            cin >> l2[j];
        }
        sort(begin(l2),end(l2),upo);
        for(int i=0;i<n;i++)
        {
            l2[i]=-l2[i];
        }


        if(equal(begin(l1),end(l1),begin(l2)))cout << "DA"<< "\n";
        else cout<< "NE"<<endl;
    }


    return 0;
}